curl --request GET \
--url https://api.x.com/2/communities/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/communities/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/communities/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1146654567674912769",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"next_token": "<string>"
}
}{
"code": 123,
"message": "<string>"
}कम्युनिटी खोजें
निर्दिष्ट खोज क्वेरी से मेल खाने वाले समुदायों की सूची प्राप्त करता है।
प्राधिकरण
The access token received from the authorization server in the OAuth 2.0 flow.
क्वेरी पैरामीटर
समुदायों को खोजने के लिए क्वेरी।
1 - 4096"Love"
किसी अनुरोध द्वारा लौटाए जाने वाले खोज परिणामों की अधिकतम संख्या।
10 <= x <= 100इस पैरामीटर का उपयोग परिणामों का अगला 'पेज' प्राप्त करने के लिए किया जाता है। इस पैरामीटर के साथ उपयोग किया जाने वाला मान API द्वारा दिए गए रिस्पॉन्स से सीधे लिया जाता है और इसमें कोई बदलाव नहीं किया जाना चाहिए। अगला टोकन।
1इस पैरामीटर का उपयोग परिणामों का अगला 'पेज' प्राप्त करने के लिए किया जाता है। इस पैरामीटर के साथ उपयोग किया जाने वाला मान API द्वारा दिए गए रिस्पॉन्स से सीधे लिया जाता है और इसमें कोई बदलाव नहीं किया जाना चाहिए। अगला टोकन।
1प्रदर्शित करने के लिए Community फ़ील्ड्स की अल्पविराम-से-पृथक सूची। Community ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।
1access, created_at, description, id, join_policy, member_count, name [
"access",
"created_at",
"description",
"id",
"join_policy",
"member_count",
"name"
]
प्रतिक्रिया
अनुरोध सफल रहा।
1Show child attributes
Show child attributes
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes